
From: anton@samba.org

use smp_processor_id everywhere



---

 arch/ppc64/kernel/idle.c |    2 +-
 arch/ppc64/kernel/time.c |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN arch/ppc64/kernel/idle.c~ppc64-smp_processor_id arch/ppc64/kernel/idle.c
--- 25/arch/ppc64/kernel/idle.c~ppc64-smp_processor_id	2004-02-04 00:29:31.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/idle.c	2004-02-04 00:29:31.000000000 -0800
@@ -161,7 +161,7 @@ int dedicated_idle(void)
 	struct paca_struct *lpaca = get_paca(), *ppaca;
 	unsigned long start_snooze;
 
-	ppaca = &paca[(lpaca->xPacaIndex) ^ 1];
+	ppaca = &paca[smp_processor_id() ^ 1];
 
 	while (1) {
 		/* Indicate to the HV that we are idle.  Now would be
diff -puN arch/ppc64/kernel/time.c~ppc64-smp_processor_id arch/ppc64/kernel/time.c
--- 25/arch/ppc64/kernel/time.c~ppc64-smp_processor_id	2004-02-04 00:29:31.000000000 -0800
+++ 25-akpm/arch/ppc64/kernel/time.c	2004-02-04 00:29:31.000000000 -0800
@@ -267,7 +267,7 @@ int timer_interrupt(struct pt_regs * reg
 	int next_dec;
 	unsigned long cur_tb;
 	struct paca_struct *lpaca = get_paca();
-	unsigned long cpu = lpaca->xPacaIndex;
+	unsigned long cpu = smp_processor_id();
 
 	irq_enter();
 

_
